Package net.sourceforge.jiu.data

# Interface RGBIntegerImage

All Superinterfaces:
  `IntegerImage`, `PixelImage`, `RGBImage`, `RGBIndex`

All Known Subinterfaces:
  `RGB24Image`, `RGB48Image`

All Known Implementing Classes:
  `BufferedRGB24Image`, `MemoryRGB24Image`, `MemoryRGB48Image`

public interface RGBIntegerImage extends IntegerImage, RGBImage
An interface for RGB truecolor images that have integer samples. A combination of `IntegerImage` and `RGBImage`.

Since:
  0.9.0
Author:
  Marco Schmidt

## Field Summary

### Fields inherited from interface net.sourceforge.jiu.data.RGBIndex

`INDEX_BLUE, INDEX_GREEN, INDEX_RED`

## Method Summary

### Methods inherited from interface net.sourceforge.jiu.data.IntegerImage

`clear, clear, getMaxSample, getSample, getSample, getSamples, putSample, putSample, putSamples`

### Methods inherited from interface net.sourceforge.jiu.data.PixelImage

`createCompatibleImage, createCopy, getAllocatedMemory, getBitsPerPixel, getHeight, getImageType, getNumChannels, getWidth`